﻿#Region "Class PastedEventArgs"
''' <summary>
''' Event arguments when Text is pasted.
''' </summary>
''' <remarks></remarks>
Public Class PastedEventArgs
    Inherits System.EventArgs
    Dim _e As String
    Dim _Handled As Boolean = False

    Public ReadOnly Property Data() As String
        Get
            Return _e
        End Get
    End Property

    Public Property Handled() As Boolean
        Get
            Return _Handled
        End Get
        Set(ByVal value As Boolean)
            _Handled = value
        End Set
    End Property
    Public Sub New(ByVal Data As String)
        _e = Data
    End Sub

    Public Sub New()
        Try
            _e = Clipboard.GetText
        Catch ex As Exception
            'Do nothing
        End Try
    End Sub
End Class
#End Region